{% if embeds %}
{% for embed in embeds %}
<div class="px-7 py-3 border-l-4 rounded-xl embed text-xl" style="border-color:{{embed['color']}};">
        {% if 'author' in embed or 'provider' in embed %}
        <div class="flex flex-row items-center">
                {% if "icon_url" in embed['author'] %}
                <div>
                        <img class="lozad rounded-full" data-src="{{ embed['author']['icon_url'] }}"
                                style="width:50px" />
                </div>
                {% endif %}
                <div class="my-2 mx-2 text-gray-50 text-xl font-bold">
                        {% if 'provider' in embed %}
                        {{embed['provider']['name']}}
                        {% elif 'author' in embed %}
                        {% if "avatar_url" in embed['author'] %}
                        <a href="{{ embed['author']['url'] }}">
                                {{embed['author']['name']}}
                        </a>
                        {% else %}
                        {{embed['author']['name']}}
                        {% endif %}
                        {% endif %}
                </div>
        </div>
        {% endif %}
        <div class="flex flex-row">
                <div class="my-3 flex flex-col flex-grow">
                        <div class="my-3 text-2xl font-bold{% if 'url' in embed %} text-blue-400{% endif %}">
                                {% if 'url' in embed %}
                                <a href="{{embed['url']}}">
                                        {{ embed['title'] }}
                                </a>
                                {% else %}
                                {{ embed['title'] }}
                                {% endif %}

                        </div>
                        {% if 'description' in embed %}
                        <div class="my-3">{{ embed['description'] }}</div>
                        {% endif %}
                </div>
                {% if 'thumbnail' in embed %}
                <img src="{{ embed['thumbnail']['url'] }}" alt="{{ embed['title'] }}" style="height:200px;width:200px"
                        class="rounded-full" />
                {% endif %}
        </div>
        {% if 'fields' in embed %}
        <div class="my-3 flex flex-col">
                {% for field in embed['fields'] %}
                <div>
                        <div class="font-bold my-3">{{ field['name'] }}</div>
                        <div class="my-3">{{ field['value'] }}</div>
                </div>
                {% endfor %}
        </div>
        {% endif %} {% if 'image' in embed %}
        <div class="my-3">
                <img data-placeholder-background="grey" class="lozad" data-src="{{ embed['image']['proxy_url'] }}" />
        </div>
        {% endif %}
        {% if 'image' in embed %}
        <img src="{{embed['image']['url']}}" alt="{{embed['title']}}" />
        {% endif %}
        {% if 'url' in embed %}
        {% if "youtube" in embed['url'] %}
        <iframe width="800" height="600" src="https://www.youtube.com/embed/{{embed['url'].split('=')[-1]}}"
                title="YouTube 600 player" frameborder="0"
                allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture"
                allowfullscreen></iframe>
        {% endif %}
        {% endif %}
        {% if 'footer' in embed %}
        <div class="flex flex-row items-center">
                {% if "icon_url" in embed['footer'] %}
                <div>
                        <img style="width: 2rem" class="my-3 lozad rounded-full"
                                data-src="{{ embed['footer']['icon_url'] }}" />
                </div>
                {% endif %}
                <div class="my-3 text-gray-400">{{ embed['footer']['text'] }}</div>
                {% if "timestamp" in embed %}
                <div class="my-3 text-gray-400">{{ embed['timestamp'] }}</div>
                {% endif %}
        </div>
        {% endif %}
</div>
{% endfor %}
{% endif %}
